ipfw man pages vs. 5.3-Stable; needs modification!

Rob spamrefuse at yahoo.com
Tue Sep 21 01:14:20 PDT 2004


Ruslan Ermilov wrote:
> On Sun, Sep 19, 2004 at 02:31:48PM +0200, Erik Trulsson wrote:
> 
>>On Sun, Sep 19, 2004 at 03:21:52PM +0300, Ruslan Ermilov wrote:
>>
>>>On Sun, Sep 19, 2004 at 11:56:21AM +0900, Rob wrote:
>>>
>>>>Hello,
>>>>
>>>>The manpages of ipfw needs modification with respect to
>>>>the IPFW vs.IPFW2 discussion.
>>>>All this is quite misleading when 5.3 becomes stable.
>>>>
>>>
>>>Do you mean you want the IPFW vs. IPFW2 information to be
>>>removed from the manpage?  If yes, I don't support this.
>>>There will be a lot of people switching from 4.x to 5.x,
>>>and it can be helpful for them.  We can remove this in
>>>future releases though.
>>
>>He probably means that the references to -STABLE in the manpage needs
>>to be changed to say 4.x instead (and the references to -CURRENT
>>probably should say 5.x instead), since when 5.3 becomes stable it will
>>no longer be true that -STABLE uses IPFW as default (which is what the
>>manpage says.)
>>
> 
> Ah yes, indeed.  See if ipfw.8,v 1.152 is what you wanted.
> If it's ok, I will order an MFC.

This is indeed what is needed to make the ipfw man page correct for
5.3 release; please have this accepted before 5.3 is released!!

Rob.




More information about the freebsd-current mailing list